# ServerScriptService

ServerScriptService : `Instance`

## Overview

ServerScriptService is a storage container dedicated to server-side Script and ModuleScript Objects. Because the Objects included in this container are not replicated to the client, it's ideal for securely isolating and managing sensitive server-side logic.

When you need to insert scripts into Objects like monsters or items during gameplay, it's best to store those Objects, along with their scripts, in ServerStorage. While ServerStorage is also a server-only container, scripts placed inside it do not run automatically.

For shared assets or ModuleScripts that need to be accessed by both the server and client, use ReplicatedStorage instead. Since this storage is accessible from both sides, it's ideal for data sharing and module reuse

## Properties

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/serverscriptservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
